# AODataKeyGetActiveLocalIS

Get a sublist of key indices that have a logical flag on.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetActiveLocalIS(AOData aodata,const char name[],const char segname[],IS in,PetscInt wl,IS *is)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| segment | - the name of the segment
| in | - the key indices we are checking
| wl | - which logical key in the block (for block size 1 this is always 0)

### Output Parameters

IS -the list of key indices

### Keywords

database transactions

### See Also

AODataCreateBasic(), AODataDestroy(), AODataKeyAdd(), AODataSegmentRestore(),
AODataSegmentGetIS(), AODataSegmentRestoreIS(), AODataSegmentAdd(), AODataKeyGetInfo(), AODataSegmentGetInfo(), AODataSegmentAdd()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages